Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
commoncrypto_block.cpp File Reference
`#include <botan/internal/commoncrypto.h>`
`#include <botan/internal/commoncrypto_utils.h>`
`#include <botan/hex.h>`
`#include <botan/block_cipher.h>`
`#include <CommonCrypto/CommonCrypto.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
std::unique_ptr< BlockCipher > | Botan::make_commoncrypto_block_cipher (const std::string &name)

## Variable Documentation

## ◆ m_cipher_name

std::string m_cipher_name

Definition at line 65 of file commoncrypto_block.cpp.

## ◆ m_decrypt

CCCryptorRef m_decrypt = nullptr

Definition at line 69 of file commoncrypto_block.cpp.

## ◆ m_encrypt

CCCryptorRef m_encrypt = nullptr

Definition at line 68 of file commoncrypto_block.cpp.

## ◆ m_key_set

bool m_key_set

Definition at line 70 of file commoncrypto_block.cpp.

## ◆ m_opts

CommonCryptor_Opts m_opts

Definition at line 66 of file commoncrypto_block.cpp.